	$(document).ready(function(e) {
		//seta pasta onde esta o projeto
		pasta_corrente = '';
		
		//renderiza os icons
		$( ".ui-icon" ).button({});
			
		// carrega os itens ao abrir o principal
		CarregarIten('0');		
		
		
		// Localizar Itens
		$( "#pnLocalizarIten").dialog({
			autoOpen: false,
			modal: true,
			resizable: false,
			height : 450, // altura
			width  : 750 // largura
		});
		
		//Localizar Itens
		$('#btnLocalizar').live('click',function(){
			$('#pnLocalizarIten').dialog('open');
		return false;
		})
		
		//Botão Localizar Itens
		$('#btnLocalizarItens').live('click', function(){
			LocalizarItens($('#edtLocalizarItens').val());	
		})
		
		
		// Cadastrar Novo Itens
		$( "#pnConfigurar").dialog({
			autoOpen: false,
			modal: true,
			resizable: false,
			height : 550, // altura
			width  : 750, // largura
			buttons: {'Salvar':   function(){
											var opcao = $("#btnOpcaoSalvar").val();
											var furmulario = $('#formEmpresa').serialize();	
											
											if(opcao == 'novo'){
											 if(!SalvarIten(opcao,'0',furmulario))
											  return false;
											
											}

											
											if(opcao == 'configurar'){
											var id_iten = $('#id_iten').val();
											 if(!SalvarIten(opcao,id_iten,furmulario))
											 	return false;
											}
																						
											$( this ).dialog( "close" );
									},
					  'Deletar' : function(){show('Não é Permitido Deletar uma Empresa')}, 
					  'Cancelar': function(){$( this ).dialog( "close" );}
					  }
		});
		
		//Cadastrar Novo Iten
		$('#btnNovoIten').live('click',function(){
			ItenNovo('Novo','');
			$('#spTituloConfigurar').html('Cadastar Novo Iten');
			$('#pnConfigurar').dialog('open');
		return false;
		})
		
		
		//Configurar Iten
		$('#btnConfigurarIten').live('click',function(){
			var id_iten = $('#id_iten').val();
			ItenNovo('configurar',id_iten);
			$('#spTituloConfigurar').html('Configurar Itens. Alterar e Excluir');
			$('#pnConfigurar').dialog('open');
		return false;
		})

/////key press//////////
	
	// Entern em Localizar Itens
	$('#edtLocalizarItens').focus();
    $("#edtLocalizarItens").keypress(function(event) {
		  if ( event.which == 13 ) {
			 event.preventDefault();
			 LocalizarItens($('#edtLocalizarItens').val());
	 		}
	});
		
	$("#edtLocalizarItens").live('click',function() {
		  $("#edtLocalizarItens").keypress();
	});
	/// fim localizar itens



/////fim key press/////////////////
		
});


//////////function///////////////

function CarregarIten(id_iten){
			 $.ajax({
			 type: "POST",
			 url: pasta_corrente+"/dados.php",
			 data:'id_empresa='+id_iten,  
			 beforeSend: function(){$("#pnDados").html(Load()).fadeIn('slow');},
			 success: function(R){ $("#pnDados").html(R).fadeIn('fast')} 
			}) //fim ajax
			return false;	
}

function LocalizarItens(LocalizarItens){
			 $.ajax({
			 type: "POST",
			 url: pasta_corrente+"/localizar_itens.php",
			 data: 'ax=localizar&localizarItens='+LocalizarItens, 
			 beforeSend: function(){$("#pnDadosLocalizador").html(Load()).fadeIn('slow');},
			 success: function(R){ $("#pnDadosLocalizador").html(R).fadeIn('fast')} 
			}) //fim ajax
			return false;
}


function ItenNovo(ax, id_iten){
			$.ajax({
			 type: "POST",
			 url: pasta_corrente+"/configurar.php",
			 data: 'ax='+ax+'&id_empresa='+id_iten, 
			 beforeSend: function(){$("#pnConfigurar").html(Load()).fadeIn('slow');},
			 success: function(R){ $("#pnConfigurar").html(R).fadeIn('fast')} 
			}) //fim ajax
			return false;
}

function SalvarIten(ax, id_iten, formulario){
			 if ($('#edtCnpj').val() == ''){
				 show('Informe um CPF ou CNPJ');
				 return false;
				 }
			
			if ($('#edtRazao').val() == ''){
				 show('Informe a Razão Social');
				 return false;
				 }
				 
			if ($('#edtNomeFantazia').val() == ''){
				 show('Informe um Nome Fantazia');
				 return false;
				 }
			 
			 
			 
			 
			 $.ajax({
			 type: "POST",
			 url: pasta_corrente+"/ax_iten.php",
			 data: 'ax='+ax+'&id_empresa='+id_iten+'&'+formulario, 
			 beforeSend: function(){$("#pnDados").html(Load()).fadeIn('slow');},
			 success: function(R){ CarregarIten(R);} 
			}) //fim ajax
			return true;

}

////////////////////////////////